﻿.ddListContainer {position: relative;display: inline-block;}

/* The 'selection' rectangle of the dropdownlist */
.ddListContainer > a {
  border: solid 1px #cccccc; text-align:center;
  cursor: pointer; 
  background: #fff;
  overflow: hidden;
  display: block;
  height:32px;color:#333333;font-size:14px; line-height:32px; vertical-align:middle;
}


/* The 'selection' rectangle of the dropdownlist when open */
.ddListIsOpen > a,
.ddListIsOpen > a:hover {
  border:solid 1px #1798b3;
  background-color:#fff;
  color:#333333;font-size:14px; line-height:32px; vertical-align:middle;height:32px;
}

/* The right arrow in the 'selection' rectangle of the dropdownlist */
.ddListArrow {
  width: 0;
  height: 0;
  position: absolute;
  right: 10px;
  top: 50%;
  margin-top: -4px;
  border: solid 7px transparent; 
  border-top: solid 7px #505050;
  cursor:pointer;
}
.ddListIsOpen .ddListArrow {
  border: solid 7px transparent !important; 
  border-bottom: solid 7px #ffffff !important; 
  margin-top: -11px;
}

/* The 'options' list of the dropdownlist */
.ddListContainer > ul {
  display: none;
  position: absolute;
  z-index: 2000;
  border: none;
  border-bottom:1px solid #ccc;
  list-style: none;
  margin: 0;
  padding:0 1px;
  background: #fff;
  overflow: auto;
}
.ddListContainer > ul li { 
  margin-bottom: 0;
}
.ddListContainer > ul > li:last-child > a {
  border-bottom: none;
}

/* Any 'option' inside the 'options' list of the dropdownlist */
.ddListContainer > ul li a {
  padding: 0 2px;font-size:14px; 
  height:20px;border-left:1px solid #ccc; border-right:1px solid #ccc; line-height:20px; vertical-align:middle;
  display: block;
  overflow: hidden;
  text-decoration: none;
  font-weight: normal;
  color: #333333;
  background:#fff;
  cursor: pointer;text-align:center;
}
.ddListContainer > ul li a:hover { 
  background: #1798b3; 
  border:none; text-align:center;
  color: #fff; 
}

/* A 'selected' option inside the 'options' list of the dropdownlist */
.ddListOptionIsSelected { 
  background: #1798b3; color:#fff;border:none; text-align:center;
}

/* Additional styling of text, img, description for 'selection' and 'option' */
.ddListContainer > a > label,
.ddListContainer > ul li a > label {
  cursor: pointer;
}
.ddListContainer > a > label { 
  font-weight:bold;
}
.ddListContainer > a > small,
.ddListContainer > ul li a > small {
  color:#aaa;
  display:block;
  overflow: hidden;
  font-weight:normal;
  line-height: 1.4em;
}
.ddListContainer > a > img,
.ddListContainer > ul li a > img {
  vertical-align: middle; 
  float: left;
  margin-right: 5px; 
  max-width: 64px;
}
